<template>
    <div class="wrapper">
        <div class="container-fuild">
            <div id="headTitle">
                <Logo />
                <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('icm-report') }}</h1>
            </div>
            <Header />
            <ol id="topicPath">
                <li style="margin-left:301px">
                    <router-link to="menustock"><a href="dashbaord">
                            <font style="vertical-align: inherit">
                                <font style="vertical-align: inherit">{{ i18ntext.lngText('icm-report') }}</font>
                            </font>
                        </a>
                    </router-link>
                </li>
            </ol>
        </div>
        <div class="search-box">
            <div id="product">
                <div class="search-box mb-4">
                    <div class="search-title" id="Bars" style="padding-left:2rem">
                        <div id="bar" style="width: 85%;">
                            <router-link to="/report">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('report') }}
                                </a>
                            </router-link>
                            <router-link to="/salereport">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('sale-report') }}
                                </a>
                            </router-link>
                            <router-link to="/closereport">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('close-report') }}
                                </a>
                            </router-link>
                            <router-link to="/saleitem">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('item-report') }}
                                </a>
                            </router-link>
                            <router-link to="/stockinven">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('iven-report') }}
                                </a>
                            </router-link>
                            <router-link to="/expensesreport"><a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                <i class="fas fa-cog"> </i>
                                {{ i18ntext.lngText('exp-report') }}
                            </a>
                            </router-link>
                            <router-link to="/incomereport">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1"
                                style="background-color: #29a5a5; border: #22adb763 1px solid;">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('icm-report') }}
                                </a>
                            </router-link>
                            <router-link to="/incomepen">
                                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                                    <i class="fa fa-cog" aria-hidden="true"></i>
                                    {{ i18ntext.lngText('icm-exp') }}
                                </a>
                            </router-link>
                        </div>
                        <div id="right">
                            <a id="menu-1" class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown"
                                aria-expanded="false"
                                style="float: right; color: #f8f5b4; margin-top: 0;margin-right: 0; margin-left: auto;margin-right: 11px;">
                                <i class="fas fa-plus"></i>
                                {{ i18ntext.lngText('menu') }}
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a class="dropdown-item btn btn-primary"
                                        data-bs-toggle="modal" data-bs-target="#staticboomId" tabindex="10028">
                                        <i class="fa fa-print" aria-hidden="true"></i>
                                        {{ i18ntext.lngText('print') }}
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
                    <div class="box">
                        <table width="100%" border="0" cellpadding="0" cellspacing="0"
                            class="table table-striped br-table">
                            <thead>
                                <tr class="header-table">
                                    <th colspan="7"></th>
                                    <th style="width: 10em !important;">
                                    </th>
                                    <th class="exp">
                                        <div>
                                            <span>
                                                <input autocomplete="off" id="search" name="search" type="date" class="text" @change="getData()" v-model="formSearch.startDate"
                                                    placeholder="Search"
                                                    style="margin-right: 0px !important; width: 86px;">
                                            </span>
                                            <span style="margin: 0px 3px;"> {{ i18ntext.lngText('to') }}</span>
                                            <span>
                                                <input autocomplete="off" id="search" name="search" @change="getData()" v-model="formSearch.endDate"
                                                    type="date" class="text" placeholder="Search"
                                                    style="margin-right: 0px !important; width: 86px;">
                                            </span>
                                        </div>
                                    </th>
                                </tr>
                                <tr class="header-table">
                                    <th> {{ i18ntext.lngText('no') }}</th>
                                    <th> {{ i18ntext.lngText('description') }}</th>
                                    <th> {{ i18ntext.lngText('total_amount') }}</th>
                                    <th> {{ i18ntext.lngText('quantity') }}</th>
                                    <th> {{ i18ntext.lngText('pay_method') }}</th>
                                    <th> {{ i18ntext.lngText('buy_price') }}</th>
                                    <th> {{ i18ntext.lngText('sel_price') }}</th>
                                    <th> {{ i18ntext.lngText('income') }}{{ i18ntext.lngText('or') }}({{ i18ntext.lngText('Expen') }})</th>
                                    <th style="width: 10%;"> {{ i18ntext.lngText('date') }}</th>
                                </tr>
                                <tr class="header-table">
                                    <th colspan="9" style="text-align: start;">
                                        <span data-bs-toggle="collapse" href="#collapseExample" style="cursor: pointer;">
                                            {{ i18ntext.lngText('sale') }}{{ i18ntext.lngText('product') }} <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                        </span>
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="collapse" id="collapseExample">
                                <tr v-if="Posdata != null" class="parent-item" data-bs-toggle="collapse" href="#pos" style="cursor:pointer">
                                    <td >1</td>
                                    <td >{{ Posdata.description }} <i class="fa fa-chevron-down" aria-hidden="true"></i></td>
                                    <td>{{ Number(Posdata.total).toLocaleString() }} ៛</td>
                                    <td >{{ Number(Posdata.qty).toLocaleString() }}</td>
                                    <td >{{ Posdata.method }}</td>
                                    <td >{{ Number(Posdata.buy_price).toLocaleString() }} ៛</td>
                                    <td >{{ Number(Posdata.sel_price).toLocaleString() }} ៛</td>
                                    <td >{{ Number(Posdata.income).toLocaleString() }} ៛</td>
                                    <td>{{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</td>
                                </tr>

                                <tr v-if="Posdata != null" v-for="(item,index) in Posdata.items" class="collapse" id="pos">
                                    <td class="text-center">1. {{ index + 1 }}</td>
                                    <td >{{ item.description }}</td>
                                    <td >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                    <td >{{ Number(item.inventory).toLocaleString() }}</td>
                                    <td >{{ item.method }}</td>
                                    <td  >{{ Number(item.buy_price).toLocaleString() }} ៛</td>
                                    <td  >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                    <td >{{ Number(item.income).toLocaleString() }} ៛</td>
                                    <td >{{formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</td>
                                </tr>

                                <tr v-if="Predata != null" class="parent-item" data-bs-toggle="collapse" href="#prescription" style="cursor: pointer;">
                                    <td>2</td>
                                    <td>{{ Predata.description }} <i class="fa fa-chevron-down" aria-hidden="true"></i></td>
                                    <td>{{ Number(Predata.total).toLocaleString() }} ៛</td>
                                    <td>{{ Number(Predata.qty).toLocaleString() }}</td>
                                    <td>{{ Posdata.method }}</td>
                                    <td>{{ Number(Predata.buy_price).toLocaleString() }} ៛</td>
                                    <td>{{ Number(Predata.sel_price).toLocaleString() }} ៛</td>
                                    <td>{{ Number(Predata.income).toLocaleString() }} ៛</td>
                                    <td>{{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</td>
                                </tr>

                                <tr v-if="Predata != null" v-for="(item,index) in Predata.items" class="collapse" id="prescription">
                                    <td class="text-center">2. {{ index + 1 }}</td>
                                    <td >{{ item.description }}</td>
                                    <td >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                    <td >{{ Number(item.inventory).toLocaleString() }}</td>
                                    <td >{{ item.method }}</td>
                                    <td  >{{ Number(item.buy_price).toLocaleString() }} ៛</td>
                                    <td  >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                    <td >{{ Number(item.income).toLocaleString() }} ៛</td>
                                    <td >{{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</td>
                                </tr>

                                <tr>
                                    <td colspan="5"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('for') }}{{ i18ntext.lngText('riel') }}</td>
                                    <td>
                                        {{ Number(buy_price).toLocaleString() }} ៛
                                    </td>
                                    <td>
                                        {{ Number(sel_price).toLocaleString() }} ៛
                                    </td>
                                    <td>
                                        {{ Number(income).toLocaleString() }} ៛
                                    </td>
                                    <td></td>
                                </tr>
                            </tbody>
                            <!-- <thead>
                                <tr class="header-table">
                                    <th colspan="9" style="text-align: start;">
                                        <span data-bs-toggle="collapse" href="#collapseExample1" style="cursor: pointer;">
                                            {{ i18ntext.lngText('sale') }}{{ i18ntext.lngText('service') }} <i class="fa fa-chevron-down" aria-hidden="true"></i>
                                        </span>
                                    </th>
                                </tr>
                            </thead>
                            <tbody class="collapse" id="collapseExample1">
                                <tr v-if="Labodata != null" class="parent-item" data-bs-toggle="collapse" href="#labo">
                                    <td>1</td>
                                    <td>{{ Labodata.description }} <i class="fa fa-chevron-down" aria-hidden="true"></i></td>
                                    <td>{{ Number(Labodata.total).toLocaleString() }} ៛</td>
                                    <td>{{ Number(Labodata.qty).toLocaleString() }}</td>
                                    <td>{{ Labodata.method }}</td>
                                    <td>{{ Number(Labodata.buy_price).toLocaleString() }} ៛</td>
                                    <td>{{ Number(Labodata.sel_price) }} ៛</td>
                                    <td>{{ Number(Labodata.income).toLocaleString() }} ៛</td>
                                    <td>{{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</td>
                                </tr>
                                <tr v-if="Labodata != null" v-for="(item,index) in Labodata.items" class="collapse" id="labo">
                                    <td class="text-center">1.{{ index + 1 }}</td>
                                    <td>{{ item.description }}</td>
                                    <td>{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                    <td>{{ Number(item.inventory).toLocaleString() }}</td>
                                    <td>{{ item.method }}</td>
                                    <td>{{ item.buy_price }} </td>
                                    <td>{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                    <td>{{ Number(item.income).toLocaleString() }} ៛</td>
                                    <td>{{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</td>
                                </tr>

                                <tr>
                                    <td colspan="5"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('for') }}{{ i18ntext.lngText('riel') }}</td>
                                    <td>
                                        {{ labo_buy }}
                                    </td>
                                    <td>
                                        {{ Number(labo_sel).toLocaleString() }} ៛
                                    </td>
                                    <td>
                                        {{ Number(labo_income).toLocaleString() }} ៛
                                    </td>
                                    <td></td>
                                </tr>
                            </tbody> -->
                            <thead>
                                <tr class="header-table" id="hv">
                                    <td colspan="5"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('riel') }}</td>
                                    <td>
                                        {{ Number(totalForm.total_buy).toLocaleString() }} ៛
                                    </td>
                                    <td>
                                        {{ Number(totalForm.total_sel).toLocaleString() }} ​៛
                                    </td>
                                    <td>
                                        {{ Number(totalForm.total_income).toLocaleString() }}​ ៛
                                    </td>
                                    <td></td>
                                </tr>
                                <tr class="header-table" id="hv">
                                    <td colspan="5"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('usd') }}</td>
                                    <td>
                                        {{ Number(totalForm.total_buy_usd).toLocaleString() }} $
                                    </td>
                                    <td>
                                        {{ Number(totalForm.total_sel_usd).toLocaleString() }} $
                                    </td>
                                    <td>
                                        {{ Number(totalForm.total_income_usd).toLocaleString() }} $
                                    </td>
                                    <td></td>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="staticboomId" aria-hidden="true">
        <div class="modal-dialog" style="max-width: 90% !important;">
            <div class="modal-content ui-dialog" style="height: 90vh !important;">
                <div class="ui-widget-header">
                    <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print"
                            aria-hidden="true"></i>
                            {{ i18ntext.lngText('print') }}</h5>
                    <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
                </div>
                <div class="ui-dialog-content print-size" style="height: 200vh !important;">
                    <div class="card">
                        <div class="card-body" id="purchaseorder" style="padding: 4rem !important;">
                            <div class="mt-3 ">
                                <div style="background-color: #fff;">
                                    <div class="col-md-12">
                                        <div class="text-center">
                                            <h3 class="title-purchase"> {{ i18ntext.lngText('icm-report') }}</h3>
                                        </div>
                                    </div>
                                    <div class="col-container">
                                        <div class="col1">
                                            <p class=" p-bg font-size p-pad"> {{ i18ntext.lngText('company') }}</p>
                                            <p class="p-mg info-pad"><span id="bold"> {{ i18ntext.lngText('name') }} :</span> <span id="fon">{{
                                                    company.company_name
                                                    }}</span></p>
                                            <p class="p-mg  info-pad"><span id="bold"> {{ i18ntext.lngText('phonenumber') }} :</span> <span
                                                    id="fon">{{
                                                    company.company_Phone }}</span></p>
                                            <p class="p-mg info-pad"><span id="bold"> {{ i18ntext.lngText('email') }} :</span> <span
                                                    id="fon">{{
                                                    company.company_Email }}</span></p>
                                            <p class="p-mg info-pad"><span id="bold"> {{ i18ntext.lngText('address') }} :</span> <span id="fon">{{
                                                    company.company_Address }}</span></p>
                                        </div>
                                        <div class="col2">
                                            <p class="text-center p-bg font-size p-pad"> {{ i18ntext.lngText('date') }}</p>
                                            <p class="text-center p-mg" id="fon">{{ formatdatetime(dateformart) }}</p>
                                        </div>
                                    </div>
                                    <div class=" my-2  justify-content-center">
                                        <table id="pr-tb">
                                            <thead>
                                                <tr class="p-bg">
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('no') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('description') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('total_amount') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('qty') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('pay_method') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('buy_price') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('sel_price') }}</th>
                                                    <th style="padding-left: 5px !important;text-align: center;"> {{ i18ntext.lngText('profit') }}</th>
                                                </tr>
                                                <tr class="p-bg">
                                                    <th colspan="8"
                                                        style="text-align: start;padding-left: 5px !important;">
                                                        {{ i18ntext.lngText('sale') }}{{ i18ntext.lngText('product') }}{{ i18ntext.lngText('date') }}: {{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr v-if="Posdata != null" style="font-weight: bold;">
                                                    <td >1</td>
                                                    <td >{{ Posdata.description }}</td>
                                                    <td>{{ Number(Posdata.total).toLocaleString() }} ៛</td>
                                                    <td >{{ Number(Posdata.qty).toLocaleString() }}</td>
                                                    <td >{{ Posdata.method }}</td>
                                                    <td >{{ Number(Posdata.buy_price).toLocaleString() }} ៛ / {{ Number((Posdata.buy_price/rate1).toFixed(2)).toLocaleString() }} $</td>
                                                    <td >{{ Number(Posdata.sel_price).toLocaleString() }} ៛ / {{ Number((Posdata.sel_price/rate1).toFixed(2)).toLocaleString() }} $</td>
                                                    <td >{{ Number(Posdata.income).toLocaleString() }} ៛ / {{ Number((Posdata.income/rate1).toFixed(2)).toLocaleString() }} $</td>
                                                </tr>
                                                <tr v-if="Posdata != null" v-for="(item,index) in Posdata.items">
                                                    <td class="text-center">1. {{ index + 1 }}</td>
                                                    <td >{{ item.description }}</td>
                                                    <td >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                                    <td >{{ Number(item.inventory).toLocaleString() }}</td>
                                                    <td >{{ item.method }}</td>
                                                    <td  >{{ Number(item.buy_price).toLocaleString() }} ៛</td>
                                                    <td  >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                                    <td >{{ Number(item.income).toLocaleString() }} ៛</td>
                                                </tr>
                                                <tr v-if="Predata != null" style="font-weight: bold;">
                                                    <td>2</td>
                                                    <td>{{ Predata.description }}</td>
                                                    <td>{{ Number(Predata.total).toLocaleString() }} ៛</td>
                                                    <td>{{ Number(Predata.qty).toLocaleString() }}</td>
                                                    <td>{{ Posdata.method }}</td>
                                                    <td>{{ Number(Predata.buy_price).toLocaleString() }} ៛ / {{ Number((Predata.buy_price/rate1).toFixed(2)).toLocaleString() }} $</td>
                                                    <td>{{ Number(Predata.sel_price).toLocaleString() }} ៛ / {{ Number((Predata.sel_price/rate1).toFixed(2)).toLocaleString() }} $</td>
                                                    <td>{{ Number(Predata.income).toLocaleString() }} ៛ / {{ Number((Predata.income/rate1).toFixed(2)).toLocaleString() }} $</td>
                                                </tr>
                                                <tr v-if="Predata != null" v-for="(item,index) in Predata.items" >
                                                    <td class="text-center">2. {{ index + 1 }}</td>
                                                    <td >{{ item.description }}</td>
                                                    <td >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                                    <td >{{ Number(item.inventory).toLocaleString() }}</td>
                                                    <td >{{ item.method }}</td>
                                                    <td  >{{ Number(item.buy_price).toLocaleString() }} ៛</td>
                                                    <td  >{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                                    <td >{{ Number(item.income).toLocaleString() }} ៛</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="4"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('for') }}{{ i18ntext.lngText('riel') }}</td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(buy_price).toLocaleString() }} ៛ / {{ Number((buy_price/rate1).toFixed(2)).toLocaleString() }} $
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(sel_price).toLocaleString() }} ៛ / {{ Number((sel_price/rate1).toFixed(2)).toLocaleString() }} $
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(income).toLocaleString() }} ៛ / {{ Number((income/rate1).toFixed(2)).toLocaleString() }} $
                                                    </td>
                                                    <td></td>
                                                </tr>
                                            </tbody>
                                            <thead>
                                                <tr class="p-bg">
                                                    <th colspan="8"
                                                        style="text-align: start;padding-left: 5px !important;">
                                                        {{ i18ntext.lngText('sale') }}{{ i18ntext.lngText('service') }}{{ i18ntext.lngText('date') }}: {{ formatdatetime(formSearch.startDate) }} - {{ formatdatetime(formSearch.endDate) }}</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr v-if="Labodata != null" style="font-weight: bold;">
                                                    <td>1</td>
                                                    <td>{{ Labodata.description }}</td>
                                                    <td>{{ Number(Labodata.total).toLocaleString() }} ៛</td>
                                                    <td>{{ Number(Labodata.qty).toLocaleString() }}</td>
                                                    <td>{{ Labodata.method }}</td>
                                                    <td>{{ Number(Labodata.buy_price).toLocaleString() }} ៛</td>
                                                    <td>{{ Number(Labodata.sel_price).toLocaleString() }} ៛</td>
                                                    <td>{{ Number(Labodata.income).toLocaleString() }} ៛</td>
                                                </tr>
                                                <tr v-if="Labodata != null" v-for="(item,index) in Labodata.items">
                                                    <td class="text-center">1.{{ index + 1 }}</td>
                                                    <td>{{ item.description }}</td>
                                                    <td>{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                                    <td>{{ Number(item.inventory).toLocaleString() }}</td>
                                                    <td>{{ item.method }}</td>
                                                    <td>{{ item.buy_price }} </td>
                                                    <td>{{ Number(item.sel_total).toLocaleString() }} ៛</td>
                                                    <td>{{ Number(item.income).toLocaleString() }} ៛</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="4"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('for') }}{{ i18ntext.lngText('riel') }}</td>
                                                    <td style="font-weight: bold;">
                                                        {{ labo_buy }}
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(labo_sel).toLocaleString() }} ៛
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(labo_income).toLocaleString() }} ៛
                                                    </td>
                                                    <td></td>
                                                </tr>
                                            </tbody>
                                            <thead>
                                                <tr class="p-bg">
                                                    <td colspan="4"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('riel') }}</td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(totalForm.total_buy).toLocaleString() }} ៛
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(totalForm.total_sel).toLocaleString() }} ​៛
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(totalForm.total_income).toLocaleString() }}​ ៛
                                                    </td>
                                                    <td></td>
                                                </tr>
                                            </thead>
                                            <thead>
                                                <tr class="p-bg">
                                                    <td colspan="4"> {{ i18ntext.lngText('total') }}{{ i18ntext.lngText('usd') }}</td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(totalForm.total_buy_usd).toLocaleString() }} $
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(totalForm.total_sel_usd).toLocaleString() }} $
                                                    </td>
                                                    <td style="font-weight: bold;">
                                                        {{ Number(totalForm.total_income_usd).toLocaleString() }} $
                                                    </td>
                                                    <td></td>
                                                </tr>
                                            </thead>
                                        </table>
                                        <span class="price-bold float-right" style="margin-top: 2rem;">{{i18ntext.lngText('report_by')}} : {{employee.firstname}} {{employee.lstname}}</span>
                                    </div>
                                    <hr>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0">
                        <i class="fa fa-print text-primary"></i>{{ i18ntext.lngText('print') }}
                    </button>
                </div>
            </div>
        </div>
    </div>
    <Footer />
    <UserInfo />
</template>

<script>
    import axios from "axios";
    import { useCurrentTime } from "../../componentJS/date";
    import pagination from "laravel-vue-pagination";
    import moment from "moment";
    import Footer from "../footer.vue"
    import Logo from "../logo.vue"
    import print from 'vue3-print-nb';
    import Auth from "../../auth/Auth";
    import UserInfo from "../UserInfo.vue"
    import i18n from "../../i18n/i18n";
    import Header from "../Header.vue";
import { re } from "mathjs";
    export default {
        components:
        {
            Header, Logo, pagination, Footer,UserInfo
        },
        setup() {
            const { currentTime } = useCurrentTime();
            return { currentTime };
        },
        directives: {
            print
        },
        data() {
            return {
                i18ntext: i18n,
                company: [],
                employee:[],
                value:"",
                formSearch:{
                    pay:"",
                    startDate:"",
                    endDate:"",
                    created_by : Auth.user.id,
                },
                Posdata : [],
                Predata :[],
                Labodata :[],

                buy_price : 0,
                sel_price : 0,
                income : 0,

                labo_buy : 0,
                labo_sel : 0,
                labo_income : 0,
                totalForm: {
                    total_buy: 0,
                    total_sel : 0,
                    total_income : 0,
                    total_buy_usd : 0,
                    total_sel_usd : 0,
                    total_income_usd : 0,
                },
                rate:[],
                rate1:"",
            };
        },

        mounted() {
            if (Auth.check()) {
        if(!Auth.checkPermission('INCOMEREPORT_ALL')){
            this.$router.push('/dashboard');
        }
    }
            this.selectdate = moment(new Date()).format('YYYY-MM-DD');
            this.selectmoth = moment(new Date()).format('YYYY-MM');
            this.selectyear = moment(new Date()).format('YYYY');
            this.getcompany();
            this.formSearch.endDate = moment(new Date()).format('YYYY-MM-DD');
            const mydate = new Date();
            this.formSearch.startDate = moment(mydate.setMonth(mydate.getMonth() - 1)).format('YYYY-MM-DD');
            this.getData()
            this.curen()
            this.employeeName()
        },
        methods: {

           async getData(){
                await axios.post('api/v1/report/incomeReport',this.formSearch)
                            .then(res => {
                                this.Posdata = res.data.pos[0]
                                this.Predata = res.data.prescription[0]
                                this.Labodata = res.data.labo[0]
                                this.buy_price = res.data.product_buy
                                this.sel_price = res.data.product_sell
                                this.income = res.data.product_income

                                this.labo_buy = res.data.labo_buy
                                this.labo_sel = res.data.labo_sell
                                this.labo_income = res.data.labo_income

                                this.totalForm.total_buy = res.data.total_buy
                                this.totalForm.total_sel = res.data.total_sell
                                this.totalForm.total_income = res.data.total_income

                                this.totalForm.total_buy_usd = res.data.total_buy_usd
                                this.totalForm.total_sel_usd = res.data.total_sell_usd
                                this.totalForm.total_income_usd = res.data.total_income_usd
                            })
            },
            curen(){
                axios.get("api/v1/exchangerate/index")
                .then((res) =>{
                    this.rate  = res.data
                    this.rate.forEach(element => {
                        this.rate1 = element.exchange_rate
                    });
                })
            },
            formatyear() {
                document.querySelector("input[type=number]")
                    .oninput = e => console.log(e.target.valueAsNumber)
            },
            async getcompany() {
                axios.get("/api/v1/getSetup/")
                    .then((response) => {
                        this.company = response.data;
                        this.dateformart = moment(new Date()).format('YYYY-MM-DD');
                    });
            },
            mySearch() {
                if (this.formSearch.name == '' && this.formSearch.startDate == '' && this.formSearch.endDate == '') {
                    this.getclose()
                } else {
                    axios.post("api/v1/pos/shinven/" + Auth.user.id, this.formSearch)
                        .then(res => {
                            this.items = res.data.data
                            this.prints = res.data
                            this.sum = 0
                            this.massege = "Data has found."
                            this.messagebox()
                            this.count = this.items.data.length
                            if (this.count == 0) {
                                this.massege = "No data not found!"
                                this.messagebox()
                            }
                            this.prints.print.forEach(element => {
                                this.sum += parseFloat(element.unit_price)
                            })
                        })
                }
            },
            employeeName(){
            axios.post('/api/v1/employee_name',Auth.user)
            .then(res =>{
                this.employee = res.data
            })
            },
            formatPrice(value, cur) {
                if (cur == "KHR") cur = "r";
                try {
                    var formatter = new Intl.NumberFormat("en-US", {
                        style: "currency",
                        currency: cur,
                        minimumFractionDigits: 2,
                    });
                    return formatter.format(value);
                } catch (error) {
                    var formatter = new Intl.NumberFormat("en-US", {
                        minimumFractionDigits: 2,
                    });
                    return formatter.format(value);
                }
            },
            formatdatetime(dateform) {
                try {
                    return  moment(dateform).format('DD-MM-YYYY');
                } catch (error) {
                    return dateform;
                }
            },
            getvalue(value){
                this.value = value
            },
            async printDivContent() {
                var contentOfDiv = document.getElementById("paypos1").outerHTML;
                var newWin = window.open('invoice', '', 'height=auto, width=400');
                await newWin.document.write('<title>Print Content of Div element by  using Javascript</title>');
                await newWin.document.write('<link rel="stylesheet" href="css/style.css">');
                await newWin.document.write('<link rel="stylesheet" href="css/pstyle.css">');
                await newWin.document.write('<link rel="stylesheet" href="css/body_invoice.css">');
                await newWin.document.write(contentOfDiv);
                newWin.document.close();
                await newWin.print();
                newWin.window.close();
                this.getdataPos();
            },

        },
    };
</script>
